Subject: Serial issue

From: Lee Revell <[email-masked]>
Date: Wed, 26 Jul 2006 17:45:23 -0400

I'm trying to connect to a Yosemite 440 PPC board using the serial
console.  I've tried everything in every Linux Serial FAQ and HOWTO but
no matter what, I can receive but I cannot transmit.

I know the cable is good, and the PPC board seems OK as I can see all
the boot messages.  Could it be a bug in my host's serial port?  I'm
using a Via EPIA M6000.

$ sudo cat /proc/tty/driver/serial
serinfo:1.0 driver revision:
0: uart:16550A port:000003F8 irq:0 tx:0 rx:5379 oe:7 RTS|DTR|DSR|CD

No matter what I do, tx bytes is stuck at 0.  I've tried irq 0 (polling)
and irq 4.  No difference at all.

Help...

Lee